defmodule BwcWeb.Application do
  # See https://hexdocs.pm/elixir/Application.html
  # for more information on OTP Applications
  @moduledoc false

  use Application

  def start(_type, _args) do
    children = [
      # Start the Telemetry supervisor
      BwcWeb.Telemetry,
      # Start the Endpoint (http/https)
      BwcWeb.Endpoint
      # Start a worker by calling: BwcWeb.Worker.start_link(arg)
      # {BwcWeb.Worker, arg}
    ]

    # See https://hexdocs.pm/elixir/Supervisor.html
    # for other strategies and supported options
    opts = [strategy: :one_for_one, name: BwcWeb.Supervisor]
    Supervisor.start_link(children, opts)
  end

  # Tell Phoenix to update the endpoint configuration
  # whenever the application is updated.
  def config_change(changed, _new, removed) do
    BwcWeb.Endpoint.config_change(changed, removed)
    :ok
  end
end
